
CephFS - Bug #1169

2-MDS fsstress: Active fails adjust_subtree_auth

06/10/2011 02:27 PM - Greg Farnum

Status: Closed % Done: 0%

Priority: Normal   

Assignee: Greg Farnum   

Category:    

Target version:    

Source:  ceph-qa-suite:  

Tags:  Component(FS):  

Backport:  Labels (FS):  

Regression:  Pull request ID:  

Severity:  Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

This is on mds_rename branch

mds/MDCache.cc: In function 'void MDCache::adjust_subtree_auth(CDir*, std::pair<int, int>, bool)',

 in thread '0x7f8a2d695710'

mds/MDCache.cc: 707: FAILED assert(subtrees.count(root))

 ceph version 0.28.2-275-g6332a78 (commit:6332a78b0c6c67e18d877458f291febc6e5d4bd6)

 1: (MDCache::adjust_subtree_auth(CDir*, std::pair<int, int>, bool)+0x289) [0x53b129]

 2: (MDCache::adjust_bounded_subtree_auth(CDir*, std::set<CDir*, std::less<CDir*>, std::allocator<

CDir*> >&, std::pair<int, int>)+0x9fa) [0x56f0fa]

 3: (MDCache::adjust_bounded_subtree_auth(CDir*, std::vector<dirfrag_t, std::allocator<dirfrag_t> 

>&, std::pair<int, int>)+0x15e) [0x56f33e]

 4: (EImportStart::replay(MDS*)+0x36b) [0x4c869b]

 5: (MDLog::_replay_thread()+0xcd6) [0x68eb36]

 6: (MDLog::ReplayThread::entry()+0xd) [0x4b1a6d]

 7: (()+0x68ba) [0x7f8a9b8cb8ba]

 8: (clone()+0x6d) [0x7f8a9a55902d]

 

Logs in kai:~gregf/logs/fsstress/adjust_subtree_auth_assert. This is mds.a

History

#1 - 06/10/2011 02:30 PM - Greg Farnum

Wait, this wasn't on mds_rename. It was on my wip-sanity branch.

#2 - 06/20/2011 12:06 PM - Sage Weil

- Target version changed from v0.30 to v0.31

#3 - 06/21/2011 02:41 PM - Sage Weil

- translation missing: en.field_position set to 1

- translation missing: en.field_position changed from 1 to 699

#4 - 06/21/2011 02:45 PM - Sage Weil

- translation missing: en.field_position deleted (701)

- translation missing: en.field_position set to 711
#5 - 06/21/2011 08:40 PM - Sage Weil

- Target version changed from v0.31 to v0.32

#6 - 07/05/2011 08:50 AM - Sage Weil

- translation missing: en.field_position deleted (710)

- translation missing: en.field_position set to 708

#7 - 07/13/2011 04:26 PM - Sage Weil

- Status changed from New to Closed

#8 - 09/20/2016 10:58 AM - John Spray

- Project changed from Ceph to CephFS

- Category deleted (1)

- Target version deleted (v0.32)

Bulk updating project=ceph category=mds bugs so that I can remove the MDS category from the Ceph project to avoid confusion.
